Name:           libtaginfo
Version:        0.1.6
Release:        1%{?dist}
Summary:        A library for reading media metadata (tags)

License:        LGPLv2+
URL:            https://bitbucket.org/shuerhaaken/libtaginfo
Source0:        https://bitbucket.org/shuerhaaken/libtaginfo/downloads/libtaginfo-%{version}.tar.gz

BuildRequires:  pkgconfig(taglib_c)
# for removing rpath
BuildRequires:  chrpath

%description
TagInfo is a convenience wrapper for taglib with C and vala bindings.

Features are reading/writing fields like: Artist, Album, Title, Genre,
AlbumArtist, Comments, Disk number, Compilation flag, User labels,
Embedded Images, Lyrics, Audio properties (length, bitrate,
samplerate, channels ...), ...


%package        devel
Summary:        Development files for %{name}
Requires:       %{name}%{?_isa} = %{version}-%{release}

%description    devel
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.


%prep
%setup -q


%build
%configure --disable-static
make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
%make_install
find $RPM_BUILD_ROOT -name '*.la' -exec rm -f {} ';'

# Remove RPATHs
chrpath --delete $RPM_BUILD_ROOT%{_libdir}/libtaginfo_c.so.0.0.0


%check
make check


%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig


%files
%doc COPYING AUTHORS NEWS README TODO
%{_libdir}/*.so.*

%files devel
%doc examples
%{_includedir}/*
%dir %{_libdir}/libtaginfo
%{_libdir}/libtaginfo/include
%{_libdir}/*.so
%{_libdir}/pkgconfig/libtaginfo*.pc
%dir %{_datadir}/vala
%dir %{_datadir}/vala/vapi
%{_datadir}/vala/vapi/libtaginfo_c.vapi


%changelog
* Sat Apr 20 2013 Michel Salim <salimma@fedoraproject.org> - 0.1.6-1
- Update to 0.1.6

* Mon Apr  8 2013 Michel Salim <salimma@fedoraproject.org> - 0.1.5-1
- Update to 0.1.5

* Fri Mar 22 2013 Michel Salim <salimma@fedoraproject.org> - 0.1.4-2
- Enable tests

* Fri Mar 22 2013 Michel Salim <salimma@fedoraproject.org> - 0.1.4-1
- Update to 0.1.4

* Fri Mar  8 2013 Michel Salim <salimma@fedoraproject.org> - 0.1.3-1
- Initial package
